-- Test id_document_type
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(15);

set search_path to camper, public;

select has_table('id_document_type');
select has_pk('id_document_type');
select table_privs_are('id_document_type', 'guest', array[]::text[]);
select table_privs_are('id_document_type', 'employee', array['SELECT']);
select table_privs_are('id_document_type', 'admin', array['SELECT']);
select table_privs_are('id_document_type', 'authenticator', array[]::text[]);

select has_column('id_document_type', 'id_document_type_id');
select col_is_pk('id_document_type', 'id_document_type_id');
select col_type_is('id_document_type', 'id_document_type_id', 'character varying(1)');
select col_not_null('id_document_type', 'id_document_type_id');
select col_hasnt_default('id_document_type', 'id_document_type_id');

select has_column('id_document_type', 'name');
select col_type_is('id_document_type', 'name', 'text');
select col_not_null('id_document_type', 'name');
select col_hasnt_default('id_document_type', 'name');


select *
from finish();

rollback;

